Loading...
Searching...
No Matches
pappso::TimsMs2CentroidFilter Class Reference

`#include <timsms2centroidfilter.h>`

Inheritance diagram for pappso::TimsMs2CentroidFilter:

## Public Member Functions

| TimsMs2CentroidFilter ()
| TimsMs2CentroidFilter (const TimsMs2CentroidFilter &other)
virtual | ~TimsMs2CentroidFilter ()
MassSpectrum & | filter (MassSpectrum &data_points) const
Public Member Functions inherited from pappso::MassSpectrumFilterInterface
virtual | ~MassSpectrumFilterInterface ()

## Detailed Description

Todo:
  write docs

Definition at line 39 of file timsms2centroidfilter.h.

## Constructor & Destructor Documentation

## TimsMs2CentroidFilter() [1/2]

TimsMs2CentroidFilter::TimsMs2CentroidFilter | ( |  | ) |

Default constructor

Definition at line 32 of file timsms2centroidfilter.cpp.

{
}

## TimsMs2CentroidFilter() [2/2]

TimsMs2CentroidFilter::TimsMs2CentroidFilter | ( | const TimsMs2CentroidFilter & | other | ) |

Definition at line 40 of file timsms2centroidfilter.cpp.

{
}

## ~TimsMs2CentroidFilter()

TimsMs2CentroidFilter::~TimsMs2CentroidFilter | ( |  | ) |

virtual

Destructor

Definition at line 36 of file timsms2centroidfilter.cpp.

{
}

## Member Function Documentation

## filter()

MassSpectrum & TimsMs2CentroidFilter::filter | ( | MassSpectrum & | data_points | ) | const

virtual

Implements pappso::MassSpectrumFilterInterface.

Definition at line 47 of file timsms2centroidfilter.cpp.

{
return data_points;
}

The documentation for this class was generated from the following files:

- pappsomspp/vendors/tims/timsms2centroidfilter.h
- pappsomspp/vendors/tims/timsms2centroidfilter.cpp